package cn.com.ctop.kuaishou.modules.graphql.service;

import cn.com.ctop.kuaishou.modules.graphql.vo.KuaishouAcceptVO;
import cn.com.ctop.kuaishou.modules.graphql.vo.KuaishouQrStartVO;
import cn.com.ctop.kuaishou.modules.graphql.vo.KuaishouUserVO;

import java.io.IOException;
import java.util.Map;

public interface IKuaishouWebInterfaceService {
    public void getVideoList(String uid) throws IOException;

    public String checkKuaishouUser(String videoUrl);

    public void adkuaishouWebLogin(String phone, String password) throws IOException;

    public void deleteAllComment(Map<String, String> pcursorMap);

    public void test();

    public String qrLogin(String taskId) throws Exception;

    public Map<String, Object> loginStatus(String taskId);

    public Map<String, Object> commentDelete(String ksid, String photoId, Long commentId);

    public Map<String, Object> videoList(String ksid, String pcursor);

    public Map<String, Object> commentList(String ksid, String photoId, String pcursor);

    public Map<String, Object> subCommentList(String ksid, String photoId, Long rootCommentId, String pcursor);
}
