package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.FileInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 文件信息
 * @Author: jeecg-boot
 * @Date: 2019-07-28
 * @Version: V1.0
 */
public interface IFileInfoService extends IService<FileInfo> {

    Map<String, Object> uploadVideoToBytedance(String accountId, String videoUrl);

    Map<String, Object> upload3ImagesToBytedance(String accountId, String imageFileUrls);

    Map<String, Object> uploadImageToBytedance(String accountId, String imageFileId);

    List<FileInfo> getFileInfoByMd5(String md5);

    Map<String, Object> checkFile(String code);

    Map<String, Object> getCreativeWords(Long accountId);

    public JSONObject getSiteList(Long accountId);
}
